# Dir2svn

Sync a folder to a Subversion working copy. This gem will make the working copy folder equal to
source folder. It will update, add, remove files and folders using Subversion commands untill
the working copy folder is equal to the source folder.

## Installation

Add this line to your application's Gemfile:

    gem 'dir2svn'

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install dir2svn
    
## Test

	rspec spec/*

## Build

Build and install
	
    gem build dir2svn.gemspec
    gem install dir2svn-0.1.0.gem
    gem inabox dir2svn-0.1.0.gem # if using geminabox
    gem push dir2svn-0.1.0.gem # publish to rubygems.org

## Usage

    require 'dir2svn'
    dir2svn = Dir2svn::Sync.new('tmp/source','tmp/wc/folder1/folder2/folder4')
    dir2svn.run

Or using the executable

    dir2svn tmp/source tmp/wc/folder1/folder2/folder4 --silent



