# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dir2svn/version'

Gem::Specification.new do |spec|
  spec.name          = "dir2svn"
  spec.version       = Dir2svn::VERSION
  spec.authors       = ["Onno"]
  spec.email         = ["onno@onknows.com"]

  spec.summary       = %q{Sync a folder to Subversion.}
  spec.description   = %q{Sync a folder to a Subversion working copy. It will make changes to the working copy so that is equal to the source folder}
  spec.homepage      = "https://rubygems.org/profiles/onknows"
  spec.license       = "MIT"

  #spec.files         = `svn ls -R`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.files         = ['exe/dir2svn','lib/dir2svn.rb','lib/dir2svn/version.rb','dir2svn.gemspec','Gemfile','Rakefile', 'README.md']
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'geminabox', '~> 0.12'
  spec.add_development_dependency 'rubocop', '~> 0.25'  
end
